My Project: dht::Value::Filter Class Reference

My Project 3.7.7 C++ Distributed Hash Table

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
dht::Value::Filter Class Reference
Inheritance diagram for dht::Value::Filter:
[legend]
Collaboration diagram for dht::Value::Filter:
[legend]

## Public Member Functions
template<typename Functor>
| Filter (Functor f)
Filter | chain (Filter &&f2)
Filter | chainOr (Filter &&f2)
std::vector< Sp< Value > > | filter (const std::vector< Sp< Value > > &values)

## Static Public Member Functions
static Filter | chain (Filter &&f1, Filter &&f2)
static Filter | chain (const Filter &f1, const Filter &f2)
static Filter | chainAll (std::vector< Filter > &&set)
static Filter | chain (std::initializer_list< Filter > l)
static Filter | chainOr (Filter &&f1, Filter &&f2)
static Filter | notFilter (Filter &&f)

## Detailed Description

Definition at line 165 of file value.h.

## Constructor & Destructor Documentation

## ◆ Filter() [1/2]

dht::Value::Filter::Filter | ( |  | ) |
| inline

Definition at line 168 of file value.h.

## ◆ Filter() [2/2]

template<typename Functor>

dht::Value::Filter::Filter | ( | Functor | f | ) |
| inline

Definition at line 171 of file value.h.

## Member Function Documentation

## ◆ chain() [1/4]

Filter dht::Value::Filter::chain | ( | const Filter & | f1,
|  | const Filter & | f2 )
| inlinestatic

Definition at line 195 of file value.h.

## ◆ chain() [2/4]

Filter dht::Value::Filter::chain | ( | Filter && | f1,
|  | Filter && | f2 )
| inlinestatic

Definition at line 185 of file value.h.

## ◆ chain() [3/4]

Filter dht::Value::Filter::chain | ( | Filter && | f2 | ) |
| inline

Definition at line 175 of file value.h.

## ◆ chain() [4/4]

Filter dht::Value::Filter::chain | ( | std::initializer_list< Filter > | l | ) |
| inlinestatic

Definition at line 216 of file value.h.

## ◆ chainAll()

Filter dht::Value::Filter::chainAll | ( | std::vector< Filter > && | set | ) |
| inlinestatic

Definition at line 205 of file value.h.

## ◆ chainOr() [1/2]

Filter dht::Value::Filter::chainOr | ( | Filter && | f1,
|  | Filter && | f2 )
| inlinestatic

Definition at line 220 of file value.h.

## ◆ chainOr() [2/2]

Filter dht::Value::Filter::chainOr | ( | Filter && | f2 | ) |
| inline

Definition at line 180 of file value.h.

## ◆ filter()

std::vector< Sp< Value > > dht::Value::Filter::filter | ( | const std::vector< Sp< Value > > & | values | ) |
| inline

Definition at line 238 of file value.h.

## ◆ notFilter()

Filter dht::Value::Filter::notFilter | ( | Filter && | f | ) |
| inlinestatic

Definition at line 228 of file value.h.

The documentation for this class was generated from the following file:

- /home/noptrix/ba/blackarch/packages/opendht-c/src/opendht/include/opendht/value.h